delegations | Hyperliquid Info API
curl --request POST \
--url https://hypercore.goldrushdata.com/info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"user": "<string>"
}
'import requests
url = "https://hypercore.goldrushdata.com/info"
payload = {
"type": "<string>",
"user": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>', user: '<string>'})
};
fetch('https://hypercore.goldrushdata.com/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"validator": "<string>",
"amount": "<string>",
"lockedUntilTimestamp": 123
}Info API
delegations | Hyperliquid Info API
Hyperliquid delegations: list a user’s active HYPE staking delegations.
POST
/
info
delegations | Hyperliquid Info API
Credit Cost
1 per call
Processing
Realtime
type: "delegations" is used to list a user’s active HYPE staking delegations.
Estimate your monthly cost for this API using the Pricing Calculator.
- Wire-equal to
POST api.hyperliquid.xyz/infowith{"type": "delegations", "user": "..."}. - Returns an empty array when the user has no active delegations.
- For staking totals use
delegatorSummary; for the delegate / undelegate event history behind them, usedelegatorHistory.
Endpoint
POST https://hypercore.goldrushdata.com/info
Authorization: Bearer <GOLDRUSH_API_KEY>
Content-Type: application/json
Request
string
required
Always
"delegations".string
required
The wallet address (lowercase 0x-prefixed hex).
Example
curl -X POST https://hypercore.goldrushdata.com/info \
-H "Authorization: Bearer $GOLDRUSH_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "delegations",
"user": "0x2ba553d9f990a3b66b03b2dc0d030dfc1c061036"
}'
const response = await fetch("https://hypercore.goldrushdata.com/info", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GOLDRUSH_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
type: "delegations",
user: "0x2ba553d9f990a3b66b03b2dc0d030dfc1c061036",
}),
});
const delegations = await response.json();
import os, requests
response = requests.post(
"https://hypercore.goldrushdata.com/info",
headers={"Authorization": f"Bearer {os.environ['GOLDRUSH_API_KEY']}"},
json={
"type": "delegations",
"user": "0x2ba553d9f990a3b66b03b2dc0d030dfc1c061036",
},
)
delegations = response.json()
Response
An array of delegation objects, one per validator. Empty when the user has no active delegations.[
{
"validator": "0x420a4ed7b6bb361da586868adec2f2bb9ab75e66",
"amount": "305.27602401",
"lockedUntilTimestamp": 1768061059908
},
{
"validator": "0x497beec89958848126c2ea65934ce430e1410ad2",
"amount": "217.26663138",
"lockedUntilTimestamp": 1753148985995
}
]
Field descriptions
amount is returned as a decimal string, preserving upstream precision. Do not parse it as a float.string
Validator address the stake is delegated to.
string
Delegated HYPE amount.
int
Millisecond timestamp until which the delegation is locked (undelegation is subject to this lock).
Related endpoints
delegatorHistory
reconstruct the sequence of HYPE staking events behind the totals shown in delegatorSummary.
delegatorRewards
fetch a user’s current HYPE staking position.
delegatorSummary
get a one-shot snapshot of a user’s HYPE staking position for dashboards and portfolio overviews.